Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class SecurityScenarioDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.SecurityScenarioDO

    public class SecurityScenarioDO

extends AbstractDataObject

Field Summary
`java.util.Set` | `modules`
`java.util.Set` | `services`

Constructor Summary
`SecurityScenarioDO()` Constructs a new SecurityScenarioDO.

Method Summary
`void` | `addModule(ModuleDO module)`
`void` | `addService(ServiceDO service)`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getDescription()` Getter for property 'description'.
`boolean` | `getIsCurrentScenario()` Getter for property 'currentScenario'.
`java.lang.String` | `getScenarioId()` Getter for property 'scenarioId'.
`java.lang.String` | `getSummary()` Getter for property 'summary'.
`void` | `removeService(ServiceDO service)`
`void` | `setCategory(java.lang.String category)`
`void` | `setDescription(java.lang.String description)` Setter for property 'description'.
`void` | `setIsCurrentScenario(boolean currentScenario)` Setter for property 'currentScenario'.
`void` | `setScenarioId(java.lang.String scenarioId)` Setter for property 'scenarioId'.
`void` | `setSummary(java.lang.String summary)` Setter for property 'summary'.

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### services

    public java.util.Set services

### modules

    public java.util.Set modules

Constructor Detail

### SecurityScenarioDO

    public SecurityScenarioDO()

  Constructs a new SecurityScenarioDO.

Method Detail

### getSummary

    public java.lang.String getSummary()

  Getter for property 'summary'.

  Returns:
    Value for property 'summary'.
  See Also:
    `setSummary(java.lang.String)`

### setSummary

    public void setSummary(java.lang.String summary)

  Setter for property 'summary'.

  Parameters:
    `summary` - Value to set for property 'summary'.
  See Also:
    `getSummary()`

### getDescription

    public java.lang.String getDescription()

  Getter for property 'description'.

  Returns:
    Value for property 'description'.
  See Also:
    `setDescription(java.lang.String)`

### setDescription

    public void setDescription(java.lang.String description)

  Setter for property 'description'.

  Parameters:
    `description` - Value to set for property 'description'.
  See Also:
    `getDescription()`

### getScenarioId

    public java.lang.String getScenarioId()

  Getter for property 'scenarioId'.

  Returns:
    Value for property 'scenarioId'.
  See Also:
    `setScenarioId(java.lang.String)`

### setScenarioId

    public void setScenarioId(java.lang.String scenarioId)

  Setter for property 'scenarioId'.

  Parameters:
    `scenarioId` - Value to set for property 'scenarioId'.
  See Also:
    `getScenarioId()`

### addService

    public void addService(ServiceDO service)

### removeService

    public void removeService(ServiceDO service)

### addModule

    public void addModule(ModuleDO module)

### getIsCurrentScenario

    public boolean getIsCurrentScenario()

  Getter for property 'currentScenario'.

  Returns:
    Value for property 'currentScenario'.
  See Also:
    `setIsCurrentScenario(boolean)`

### setIsCurrentScenario

    public void setIsCurrentScenario(boolean currentScenario)

  Setter for property 'currentScenario'.

  Parameters:
    `currentScenario` - Value to set for property 'currentScenario'.
  See Also:
    `isCurrentScenario`

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String category)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD